Bug 88021 - Barcode font display issue with specific locales (see comment 14)
Summary: Barcode font display issue with specific locales (see comment 14)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on: HarfBuzz
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-04 12:56 UTC by Urmas
Modified: 2016-11-06 18:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document (5.50 KB, application/vnd.oasis.opendocument.text)
2015-01-04 12:57 UTC, Urmas
Details
Font (1.94 KB, application/x-7z-compressed)
2015-01-04 12:57 UTC, Urmas
Details
Code128 character map in LO and Windows (81.80 KB, image/png)
2015-05-14 20:26 UTC, Aron Budea
Details
Windows barcode fonts 39 (3.23 KB, application/x-7z-compressed)
2016-03-08 15:56 UTC, Llazz
Details
Example Results of files in Examples.zip (29.12 KB, application/x-7z-compressed)
2016-03-08 15:57 UTC, Llazz
Details
LibreOffice examples with barcode font Free 3of9 (28.29 KB, application/x-7z-compressed)
2016-03-08 15:57 UTC, Llazz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2015-01-04 12:56:35 UTC
Enter ÐLM600123456USpÓ in Writer and format it with the Code128 font attached.
The first and last characters will be displayed as squares.
Comment 1 Urmas 2015-01-04 12:57:04 UTC
Created attachment 111718 [details]
Test document
Comment 2 Urmas 2015-01-04 12:57:46 UTC
Created attachment 111719 [details]
Font
Comment 3 Buovjaga 2015-01-14 09:05:39 UTC
No squares.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b3b4bbaf6cbd2226b659fea7d6ae473ccf84e9dd
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-12_06:13:44

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7201fa0dddd7dd0352f69fd2b2b64efcb361ccad
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-11_23:28:55
Comment 4 Robinson Tryon (qubit) 2015-01-14 20:17:57 UTC
(In reply to Urmas from comment #0)
> Enter ÐLM600123456USpÓ in Writer and format it with the Code128 font
> attached.
> The first and last characters will be displayed as squares.

Urmas: What version of LO (sha1/date) and OS?

Status -> NEEDINFO
Comment 5 Urmas 2015-01-14 20:39:55 UTC
Versions tested Master 2015-01-07_00:57:18 and 4.4.0.2; Seen in Windows x64 7, 8.1 and 10.
Comment 6 Robinson Tryon (qubit) 2015-01-15 04:03:29 UTC
(In reply to Beluga from comment #3)
> No [repro]
> 
> Win 7 64-bit Version: 4.5.0.0.alpha0+
> Build ID: b3b4bbaf6cbd2226b659fea7d6ae473ccf84e9dd
> TinderBox: Win-x86@39, Branch:master, Time: 2015-01-12_06:13:44

(In reply to Urmas from comment #5)
> Versions tested Master 2015-01-07_00:57:18 ...Seen in Windows x64 7 ...

Summary -> [hard to repro]
Comment 7 Aron Budea 2015-05-03 22:50:15 UTC
I can reproduce 50% of this bug: the first character is displayed as a square for me, the rest looks fine.

LO 4.4.2.2 & 5.0 master on Windows 7 64 bit.
Comment 8 Aron Budea 2015-05-14 20:26:38 UTC
Created attachment 115608 [details]
Code128 character map in LO and Windows

The bug can also be verified via the Insert -> Special Character... dialog.
I highlighted the 0xD0 (Ð) character in both the dialog and Character Map, and it can be seen that a couple of other characters are incorrect as well. However, 0xD3 (Ó) appears correctly for me.
Comment 9 Llazz 2016-03-08 15:56:21 UTC
Created attachment 123405 [details]
Windows barcode fonts 39
Comment 10 Llazz 2016-03-08 15:57:04 UTC
Created attachment 123406 [details]
Example Results of files in Examples.zip
Comment 11 Llazz 2016-03-08 15:57:43 UTC
Created attachment 123407 [details]
LibreOffice examples with barcode font Free 3of9
Comment 12 Llazz 2016-03-08 15:58:19 UTC
Hi,

I think that my problem is the same that explains this bug...
I have two bar code fonts of Windows (but 39, not 128) that do not work correctly with LibreOffice 5.
These fonts work well in LibreOffice 4.4.7 and previous versions (and work well in any word processor that i have tested, even in WordPad...)
I have reproduced this error with LibreOffice Calc, Writter, Impress and Draw

To test these fonts with new documents (with LibreOffice documents or not) you can write a word (with an readable font) in upercase (or numbers) and write an asterisk before and after the word (example: *HELLO*) then change the font to "Free 3of9" (or "CODIGO 39") and the barcode should be fine...

I attach you my two barcode fonts, real examples in LibreOffice format and pdf files to see the results with LibreOffice 4.4.7 and with LibreOffice 5+ of the same examples.
Comment 13 Llazz 2016-03-08 16:22:55 UTC
Sorry, my Bug is different that this one... :-O

I have to open a new bug report.

Best Regards.
Comment 14 Aron Budea 2016-05-04 18:23:57 UTC
Found a clue. There's this setting in Windows 7: Control Panel -> Region and Language -> Administrative tab -> Language for non-Unicode programs: Change system locale...

If that is set to English (United States) for example, the font displays correctly. If it's set to Hungarian (Hungary), the first character is shown as square. I bet changing it to Urmas' locale will show the two squares.

Setting to new, adjusting earliest version (reproducible in v3.3.0 as well), and OS to Windows.
Comment 15 Aron Budea 2016-10-30 00:41:01 UTC
Seems like either OpenGL rendering turned on, or the new unified text layout (both with OpenGL on and off) fixes the issue.

Using 5.3 master build after alpha 1 (2e137e4696e8278c3d56ba8a49a8b255534bd048) / Windows 7.

Looks correct:
-after SET SAL_USE_COMMON_LAYOUT=1, and UI Render: default / GL.
-without common layout enabled, and UI Render: GL.

Looks incorrect (has one square with my locale setting, as described in comment 14):
-without common layout enabled, and UI Render: default.
Comment 16 Khaled Hosny 2016-11-04 13:53:33 UTC
Closing as fixed, per comment 15.